GalertEscalatable (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.galerts.server.session.GalertEscalatable class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.galerts.server.session
Class GalertEscalatable

    java.lang.Object
      org.hyperic.hq.galerts.server.session.GalertEscalatable

All Implemented Interfaces:
  Escalatable

    public class GalertEscalatable

extends java.lang.Object
implements Escalatable

Method Summary
`AlertInterface` | `getAlertInfo()` Get specific information about the alert.
`java.util.List` | `getAuxLogs()` Get a list of `AlertAuxLog`s associated with this escalatable.
`PerformsEscalations` | `getDefinition()` Get the definition which started the escalation.
`java.lang.Integer` | `getId()`
`java.lang.String` | `getLongReason()`
`java.lang.String` | `getShortReason()`
`boolean` | `isAcknowledgeable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAlertInfo

    public AlertInterface getAlertInfo()

  Description copied from interface: `Escalatable`
  Get specific information about the alert.

  Specified by:
    `getAlertInfo` in interface `Escalatable`

### getAuxLogs

    public java.util.List getAuxLogs()

  Description copied from interface: `Escalatable`
  Get a list of `AlertAuxLog`s associated with this escalatable.

  Specified by:
    `getAuxLogs` in interface `Escalatable`

### getDefinition

    public PerformsEscalations getDefinition()

  Description copied from interface: `Escalatable`
  Get the definition which started the escalation.

  Specified by:
    `getDefinition` in interface `Escalatable`

### getId

    public java.lang.Integer getId()

  Specified by:
    `getId` in interface `Escalatable`

### getLongReason

    public java.lang.String getLongReason()

  Specified by:
    `getLongReason` in interface `Escalatable`

### getShortReason

    public java.lang.String getShortReason()

  Specified by:
    `getShortReason` in interface `Escalatable`

### isAcknowledgeable

    public boolean isAcknowledgeable()

  Specified by:
    `isAcknowledgeable` in interface `Escalatable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.